Main Page | Data Structures | Directories | File List | Data Fields | Globals

# tsk_parse.c File Reference

## Detailed Description

Contains code to parse specific types of data from the command line.

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "aux_tools.h"`

## Functions
SSIZE_T | tsk_parse_offset (TSK_TCHAR *offset)
| Parse a string in the cnt@size or cnt format and return the byte offset.
int | tsk_parse_inum (const TSK_TCHAR *str, INUM_T *inum, uint32_t *type, uint16_t *id, int *id_used)
| Convert a string to an inode, type, and id pair.

## Function Documentation

int tsk_parse_inum | ( | const TSK_TCHAR * | str,
|  | INUM_T * | inum,
|  | uint32_t * | type,
|  | uint16_t * | id,
|  | int * | id_used
| ) |

  | Convert a string to an inode, type, and id pair. This assumes the string is either: INUM, INUM-TYPE, or INUM-TYPE-ID Parameters:
  `[in]` | str | Input string to parse
  `[out]` | inum | Pointer to location where inode can be stored.
  `[out]` | type | Pointer to location where type can be stored
  `[out]` | id | Pointer to location where id can be stored
  `[out]` | id_used | Pointer to location where the value can be set to 1 if the id was set (to differentiate between meanings of 0).
Returns: 1 on error or if not an inode and 0 on success

SSIZE_T tsk_parse_offset | ( | TSK_TCHAR * | offset | ) |

  | Parse a string in the cnt@size or cnt format and return the byte offset. Parameters:
  `[in]` | offset | The string version of the offset
Returns: -1 on error or byte offset on success